const saavuHelpers = require('./dist/main.js');
console.log(JSON.stringify(saavuHelpers));

const locators = '123,http://internal.x.y.z,http://external.x.y.z,http://x.preview.y.z';

// NEW
const parsed = saavuHelpers.locatorsParser(locators);
const parsedForDev = saavuHelpers.locatorsParser(locators, true);
const devURLNew = parsedForDev.internalUrl
const externalDevURLNew = parsedForDev.externalUrl
const accessURLNew = parsed.externalUrl
const previewURLNew = parsed.previewUrl
const devPortNew = parsed.port

console.log(devURLNew);
console.log(externalDevURLNew);
console.log(accessURLNew);
console.log(previewURLNew);
console.log(devPortNew);

// OLD
const devURLOld = saavuHelpers.locatorsToUrlParser(locators, true);
const externalDevURLOld = saavuHelpers.locatorsToUrlParser(locators, true, true);
const accessURLOld = saavuHelpers.locatorsToUrlParser(locators);
const previewURLOld = saavuHelpers.locatorsToUrlParser(locators, false, false, true);
const devPortOld = saavuHelpers.locatorsToPortParser(locators);

console.log(devURLOld);
console.log(externalDevURLOld);
console.log(accessURLOld);
console.log(previewURLOld);
console.log(devPortOld);

process.on('SIGINT', function() {
  process.exit();
});
